### File

`packages/eui/packages/components-next/src/lib/components/eui-table/sortable-col/eui-table-sortable-col.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

host | `{ }`
selector | `th[sortable]`
templateUrl | `./eui-table-sortable-col.component.html`

### Index

###### Properties
_defaultOrder _sortDisabled Public order
###### Methods
Public click
###### Inputs
defaultOrder sortDisabled sortOn sortOrder
###### HostBindings
class
###### Accessors
defaultOrder sortDisabled

### Constructor

`constructor(euiTableSortService: EuiTableSortService)`
Parameters :
Name | Type | Optional
euiTableSortService | `EuiTableSortService` | No

### Inputs

defaultOrder

sortDisabled

sortOn
Type : `string`

sortOrder
Default value : `'desc'`

### HostBindings

class

### Methods

Public click
`click()`
Returns : `void`

### Properties

_defaultOrder
Default value : `false`

_sortDisabled
Default value : `false`

Public order
Default value : `'desc'`

### Accessors

defaultOrder
set `defaultOrder(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

sortDisabled
set `sortDisabled(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""